Bug 240406 - [revive port] x11/keynav: Make pointer-driven interfaces easier to operate
Summary: [revive port] x11/keynav: Make pointer-driven interfaces easier to operate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords: feature, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-08 06:37 UTC by Kralj Karlo
Modified: 2020-07-04 08:40 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (karlo)


Attachments
x11/keynav (3.01 KB, text/plain)
2019-09-08 06:37 UTC, Kralj Karlo
no flags Details
x11/keynav (45 bytes, text/plain)
2019-09-08 14:56 UTC, Kralj Karlo
no flags Details
x11/keynav (3.01 KB, text/plain)
2019-09-09 00:30 UTC, Kralj Karlo
no flags Details
x11/keynav (3.01 KB, text/plain)
2019-09-09 00:40 UTC, Kralj Karlo
no flags Details
x11/keynav (3.01 KB, text/plain)
2019-09-09 03:08 UTC, Kralj Karlo
no flags Details
x11/keynav (2.99 KB, text/plain)
2019-09-09 03:09 UTC, Kralj Karlo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kralj Karlo 2019-09-08 06:37:50 UTC
Created attachment 207273 [details]
x11/keynav

Make pointer-driven interfaces easier to operate.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-09-08 09:47:57 UTC
You can mention homepage in pkg-descr, but not in the Makefile.
Comment 2 Kralj Karlo 2019-09-08 14:56:56 UTC
Created attachment 207293 [details]
x11/keynav
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-09-08 16:24:42 UTC
Seems something wrong with the new attachment.
Comment 4 Kralj Karlo 2019-09-09 00:30:51 UTC
Created attachment 207301 [details]
x11/keynav

Oops, sorry
Comment 5 Kralj Karlo 2019-09-09 00:40:25 UTC
Created attachment 207304 [details]
x11/keynav

oops
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-09-09 01:26:53 UTC
(In reply to Kralj Karlo from comment #4)
You have two line USE_XORG

XUSE_XORG=	x11 xext xinerama
XUSE_GNOME=cairo glib20
XUSE_XORG+=xext xinerama xrandr

and two times xinerama and xext.
Comment 7 Kralj Karlo 2019-09-09 03:08:02 UTC
Created attachment 207310 [details]
x11/keynav
Comment 8 Kralj Karlo 2019-09-09 03:09:18 UTC
Created attachment 207311 [details]
x11/keynav
Comment 9 Alexey Dokuchaev freebsd_committer 2020-07-03 15:29:43 UTC
It must be resurrected, not added as a new port.  I'll handle it.
Comment 10 commit-hook freebsd_committer 2020-07-03 19:18:28 UTC
A commit references this bug:

Author: danfe
Date: Fri Jul  3 19:17:46 UTC 2020
New revision: 541129
URL: https://svnweb.freebsd.org/changeset/ports/541129

Log:
  - Revive, update to the latest original author's GitHub snapshot
  - Make sure reported version does not depend on the day of build
  - Define LICENSE; install more complete set of documentation and
    example files; transfer maintainership to the new volunteer

  PR:	240406

Changes:
  head/MOVED
  head/x11/Makefile
  head/x11/keynav/
  head/x11/keynav/Makefile
  head/x11/keynav/distinfo
Comment 11 Alexey Dokuchaev freebsd_committer 2020-07-04 08:40:18 UTC
Committed with some modifications as ports r541129, thanks!